Last Comment Bug 766505 - update the default Mac font prefs to include Indic and other fonts now shipped with OS X
: update the default Mac font prefs to include Indic and other fonts now shippe...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: unspecified
: All Mac OS X
: -- normal (vote)
: mozilla16
Assigned To: Jonathan Kew (:jfkthame)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 02:45 PDT by Jonathan Kew (:jfkthame)
Modified: 2012-06-26 01:59 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch, update the default Mac font prefs (8.88 KB, patch)
2012-06-20 02:45 PDT, Jonathan Kew (:jfkthame)
jd.bugzilla: review+
Details | Diff | Splinter Review

Description Jonathan Kew (:jfkthame) 2012-06-20 02:45:41 PDT
Created attachment 634829 [details] [diff] [review]
patch, update the default Mac font prefs

The default fonts listed in all.js do not include many of the Indic (etc) fonts that are now shipped with OS X, which causes us to unnecessarily hit system fallback and potentially choose Arial Unicode MS in many cases where this isn't really the best option.
Comment 1 Jonathan Kew (:jfkthame) 2012-06-20 03:56:26 PDT
Pushed this to tryserver to check that changing these prefs won't break any existing tests:
https://tbpl.mozilla.org/?tree=Try&rev=3fd665951565
Comment 2 John Daggett (:jtd) 2012-06-24 13:48:25 PDT
Comment on attachment 634829 [details] [diff] [review]
patch, update the default Mac font prefs

Looks good but I think we should trim out the old Bengali font settings.  Having a font name like this in the pref list will trigger localized name loading for any place that includes even the smallest snippet of Bengali script (e.g. a language list on a BBC page).  Non-default fonts should still be picked up by CoreText system fallback.
Comment 3 Jonathan Kew (:jfkthame) 2012-06-25 00:30:11 PDT
OK, pushed with the old (3rd-party) Bengali names removed:
https://hg.mozilla.org/integration/mozilla-inbound/rev/5ad6c86d9f60
Comment 4 Ed Morley [:emorley] 2012-06-26 01:59:38 PDT
https://hg.mozilla.org/mozilla-central/rev/5ad6c86d9f60

Note You need to log in before you can comment on or make changes to this bug.